<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DbChannel..::.SendRequest Method (array<DatabaseEntry>[]()[], UInt32)
DbChannel Class See Also Send Feedback

Send a message on the message channel. The message is sent synchronously. The method blocks waiting for a response before returning. If a response is not received within the timeout value configured for this request, this method returns with an error condition.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public DatabaseEntry SendRequest(
    	DatabaseEntry[] request,
    	uint timeout
    )

Visual Basic (Declaration)

    Public Function SendRequest ( _
    	request As DatabaseEntry(), _
    	timeout As UInteger _
    ) As DatabaseEntry

Visual C++

    public:
    DatabaseEntry^ SendRequest(
    	array<DatabaseEntry^>^ request,
    	unsigned int timeout
    )

#### Parameters

request
  Type: array< BerkeleyDB..::.DatabaseEntry >[]()[]
  DatabaseEntry objects array. Any flags for the DatabaseEntry objects are ignored.

timeout
  Type: System..::.UInt32
  The amount of time that may elapse while this method waits for a response from the remote site. The timeout value must be specified as an unsigned 32-bit number of microseconds, limiting the maximum timeout to roughly 71 minutes. A timeout value of 0 indicates that the channel's default timeout value should be used. This default is configured using Timeout.

#### Return Value

The response from remote site

# Remarks

To avoid block while waiting for a response from a remote site, use SendMessage(array<DatabaseEntry>[]()[])

The message sent by this method is received and handled at remote sites using a message dispatch callback, which is configured using RepMessageDispatch

# See Also

DbChannel Class
SendRequest Overload
BerkeleyDB Namespace